Bug 1218367 - t1utils: buffer overflow flaw [epel-all]
Summary: t1utils: buffer overflow flaw [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: t1utils
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-3905
TreeView+ depends on / blocked
 
Reported: 2015-05-04 17:58 UTC by Martin Prpič
Modified: 2015-05-21 05:12 UTC (History)
3 users (show)

Fixed In Version: t1utils-1.39-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-21 05:12:00 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2015-05-04 17:58:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-05-04 17:59:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1218365,1218367

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1218365,1218367

Comment 2 Fedora Update System 2015-05-04 19:01:23 UTC
t1utils-1.39-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/t1utils-1.39-1.el7

Comment 3 Fedora Update System 2015-05-04 19:03:48 UTC
t1utils-1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/t1utils-1.39-1.el6

Comment 4 Fedora Update System 2015-05-04 19:04:23 UTC
t1utils-1.39-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/t1utils-1.39-1.el5

Comment 5 Fedora Update System 2015-05-06 17:24:42 UTC
Package t1utils-1.39-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing t1utils-1.39-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6130/t1utils-1.39-1.el5
then log in and leave karma (feedback).

Comment 6 Anssi Johansson 2015-05-09 13:34:31 UTC
t1utils is included in RHEL 7. It should not be included in EPEL 7.

Comment 7 Robert Scheck 2015-05-09 13:58:49 UTC
Searching using https://rhn.redhat.com/rhn/channels/software/Search.do does
find nothing when searching for t1utils, but when looking in CentOS, there's
http://mirror.centos.org/centos-7/7/os/x86_64/Packages/t1utils-1.37-6.el7.x86_64.rpm

Comment 8 Anssi Johansson 2015-05-09 15:08:41 UTC
I'm told t1utils is in the -optional channel of RHEL7. The search web form may or may not function properly for RHEL7 packages at this time.

As far as I can see, Red Hat should release this update as an RHEL7 update, and t1utils should be retired from EPEL7.

Comment 9 Akemi Yagi 2015-05-09 15:18:47 UTC
I can confirm that t1utils is available from the optional repo:

$ sudo yum --disablerepo=epel list t1utils
Loaded plugins: langpacks, product-id, subscription-manager
Available Packages
t1utils.x86_64               1.37-6.el7                rhel-7-server-optional-rpms

If I do not disable epel:

$ sudo yum list t1utils
Loaded plugins: langpacks, product-id, subscription-manager
Available Packages
t1utils.x86_64                           1.37-7.el7                           epel

Comment 10 Akemi Yagi 2015-05-09 15:22:49 UTC
Just in case it is not obvious, my comment is about EL7. In EL6, t1utils is not in RHEL.

Comment 11 Robert Scheck 2015-05-10 20:08:06 UTC
Is the t1utils package also available as ppc64 at RHEL 7? All I can find is
https://access.redhat.com/downloads/content/rhel---7/x86_64/2463/t1utils/1.37-6.el7/x86_64/fd431d51/package

Comment 12 Fedora Update System 2015-05-21 05:12:00 UTC
t1utils-1.39-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-21 05:12:54 UTC
t1utils-1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.